Skip to main content
GET
Get webhook subscription delivery

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Pattern: ^[a-f0-9\-]{36}$
deliveryId
string
required

Unique identifier for the webhook delivery attempt.

Response

Webhook delivery retrieved successfully.

Details of a single webhook delivery attempt for an event and subscription.

deliveryId
string
required

Unique identifier for this delivery attempt.

Example:

"507f1f77bcf86cd799439011"

matchId
string<uuid>
required

Unique identifier for the webhook match.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

eventId
string<uuid>
required

Unique identifier for the matched webhook event.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Example:

"123e4567-e89b-12d3-a456-426614174000"

attempt
object
required

Outcome and timing of a single webhook delivery attempt.